<?php
    if (! defined('ABSPATH')) {
        exit; // Prevent direct access
    }

    $paymentMethodMessage = esc_attr(__('BACKEND_TT_PAYMENT_METHOD', Sibs2\sibsConstants::SIBS_TRANSLATE));
    $paymentMethod        = esc_attr(Sibs2\sibsGeneralFunctions::sibs_translate_backend_payment($transaction_log['payment_id']));

    $transactionIdMessage = esc_attr(__('BACKEND_TT_TRANSACTION_ID', Sibs2\sibsConstants::SIBS_TRANSLATE));
    $transactionId        = esc_attr($transaction_log['reference_id']);

    $currencyMessage = esc_attr(__('BACKEND_TT_CURRENCY', Sibs2\sibsConstants::SIBS_TRANSLATE));
    $currency        = esc_attr($transaction_log['currency']);

    $amountMessage = esc_attr(__('BACKEND_TT_AMOUNT', Sibs2\sibsConstants::SIBS_TRANSLATE));
    $amount        = esc_attr($transaction_log['amount']);

    $sibs_payment_information = "$paymentMethodMessage: $paymentMethod<br/>";
    $sibs_payment_information .= "$transactionIdMessage: $transactionId<br/>";
    $sibs_payment_information .= "$currencyMessage: $currency<br/>";
    $sibs_payment_information .= "$amountMessage: $amount<br/>";

    if (! empty($additional_information)) {
        foreach ($additional_information as $info_name => $info_value) {
            $additionalInformationMessage = esc_attr(Sibs2\sibsGeneralFunctions::sibs_translate_additional_information($info_name));
            $additionalInformation        = esc_attr($info_value);

            $sibs_payment_information .= "$additionalInformationMessage: $additionalInformation<br/>";
        }
    }
    ?>
<div class="sibs_payment_information">
	<h3>
		<?= esc_attr(__('BACKEND_GENERAL_INFORMATION', Sibs2\sibsConstants::SIBS_TRANSLATE)) ?>
	</h3>
	<div class="information">
		<p>
			<?= $sibs_payment_information ?>
		</p>
	</div>
</div>